@tailwind base;
@tailwind components;
@tailwind utilities;

@font-face {
	font-family: "Roboto";
	src: url(./assets/fonts/Roboto-Thin.ttf);
	font-style: normal;
	font-weight: 100;
}

@font-face {
	font-family: "Roboto";
	src: url(./assets/fonts/Roboto-Light.ttf);
	font-style: normal;
	font-weight: 300;
}
@font-face {
	font-family: "Roboto";
	src: url(./assets/fonts/Roboto-Regular.ttf);
	font-style: normal;
	font-weight: 400;
}
@font-face {
	font-family: "Roboto";
	src: url(./assets/fonts/Roboto-Medium.ttf);
	font-style: normal;
	font-weight: 500;
}

@font-face {
	font-family: "Roboto";
	src: url(./assets/fonts/Roboto-Bold.ttf);
	font-style: normal;
	font-weight: 700;
}
@font-face {
	font-family: "Roboto";
	src: url(./assets/fonts/Roboto-Black.ttf);
	font-style: normal;
	font-weight: 900;
}

*::before,
*::after {
	box-sizing: border-box;
}
* {
	margin: 0;
	font-family: "Roboto", sans-serif;
	/* overflow: auto; */
	padding: 0;
}
ol,
ul {
	list-style: none;
	margin: 0;
	padding: 0;
}
a {
	text-decoration: none;
}
html,
body {
	height: 100%;
}
body {
	line-height: 1.5;
	-webkit-font-smoothing: antialiased;
}
img,
picture,
video,
canvas,
svg {
	display: block;
	max-width: 100%;
}
input,
button,
textarea,
select {
	font: inherit;
}
blockquote,
dl,
dd,
h1,
h2,
h3,
h4,
h5,
h6,
hr,
figure,
p,
pre {
	overflow-wrap: break-word;
	margin: 0;
}

a {
	text-decoration: none;
	transition: 0.3s all ease-in-out;
}

ul,
li {
	margin: 0;
	padding: 0;
}

#root,
#__next {
	isolation: isolate;
}
input[type="checkbox"]:checked ~ div {
	background-color: #000000;
	color: #ffffff;
	border-radius: 6px;
	/* text-align: center; */
	border: none;
}
